claset.f(3)

NAME
claset.f -

SYNOPSIS

  Functions/Subroutines
subroutine claset (UPLO, M, N, ALPHA, BETA, A, LDA)
CLASET initializes the off-diagonal elements and the diagonal elements of a matrix to given values.

Function/Subroutine Documentation

  subroutine claset (characterUPLO, integerM, integerN, complexALPHA, complexBETA, complex, dimension( lda, * )A, integerLDA)

Purpose:

     CLASET initializes a 2-D array A to BETA on the diagonal and
     ALPHA on the offdiagonals.

Parameters:
    UPLO

              UPLO is CHARACTER*1
              Specifies the part of the matrix A to be set.
              = 'U':      Upper triangular part is set. The lower triangle
                          is unchanged.
              = 'L':      Lower triangular part is set. The upper triangle
                          is unchanged.
              Otherwise:  All of the matrix A is set.

    M

              M is INTEGER
              On entry, M specifies the number of rows of A.

    N

              N is INTEGER
              On entry, N specifies the number of columns of A.

    ALPHA

              ALPHA is COMPLEX
              All the offdiagonal array elements are set to ALPHA.

    BETA

              BETA is COMPLEX
              All the diagonal array elements are set to BETA.

    A

              A is COMPLEX array, dimension (LDA,N)
              On entry, the m by n matrix A.
              On exit, A(i,j) = ALPHA, 1 <= i <= m, 1 <= j <= n, i.ne.j;
                       A(i,i) = BETA , 1 <= i <= min(m,n)

    LDA

              LDA is INTEGER
              The leading dimension of the array A.  LDA >= max(1,M).

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    November 2015

Definition at line 107 of file claset.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.